Bug 1663272

Summary: bash-completion doesn't work with podman
Product: [Fedora] Fedora Reporter: Jalal Ahmed <jalalsfs>
Component: podmanAssignee: Daniel Walsh <dwalsh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 29CC: dwalsh, lsm5, mheon
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Unspecified   
Whiteboard:
Fixed In Version: podman-1.0 podman-1.1.2-1.git0ad9b6b.fc29 podman-1.1.2-1.git0ad9b6b.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-10 18:23:29 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jalal Ahmed 2019-01-03 15:51:47 UTC
Hello there!,

We know how handy is using 'bash-completion' for the user with terminal,
I've been for a while using 'docker' and it's working fine with 'bash-completion', but not 'podman', I don't know since when this issue has appeared.

Packages:
podman-0.12.1.2-1.git9551f6b
bash-completion-2.8-3

The problem with root and non root users.


Steps to Reproduce:
1. Make sure you are using /bin/bash as a shell
2. Type 'podman' then space
3. Press 'Tab' button and I just see files and directories, no 'podman' options.

Expected result is to show options once I press Tab with 'podman' command.

Comment 1 Daniel Walsh 2019-01-03 16:15:10 UTC
https://github.com/containers/libpod/pull/2072

Is opened to fix this.

Comment 2 Jalal Ahmed 2019-01-07 06:02:14 UTC
Yes Daniel, I tried 
https://github.com/containers/libpod/pull/2072
With just replaced:
/usr/share/bash-completion/completions/podman
with: 
https://github.com/rhatdan/libpod/blob/0c26aec2ae8df4781e5f6fece0398d2b1e690fab/completions/bash/podman
and it's working well, hope to push the update to F29 soon,
Thank you.

Comment 3 Daniel Walsh 2019-01-07 14:47:49 UTC
We are working on putting together podman 1.0.0 this week or next.  And the fix will be there.

Comment 4 Daniel Walsh 2019-01-10 18:09:51 UTC
Fixed in podman 1.0.

Comment 5 Fedora Update System 2019-02-27 13:30:12 UTC
podman-1.1.0-1.git006206a.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2334f59273

Comment 6 Fedora Update System 2019-02-27 13:30:26 UTC
podman-1.1.0-1.git006206a.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ead0cd452a

Comment 7 Fedora Update System 2019-02-28 18:55:34 UTC
podman-1.1.0-1.git006206a.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2334f59273

Comment 8 Fedora Update System 2019-02-28 21:26:24 UTC
podman-1.1.0-1.git006206a.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ead0cd452a

Comment 9 Fedora Update System 2019-03-05 19:11:09 UTC
podman-1.1.2-1.git0ad9b6b.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d244a0fe3e

Comment 10 Fedora Update System 2019-03-05 19:11:22 UTC
podman-1.1.2-1.git0ad9b6b.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5730099f0b

Comment 11 Fedora Update System 2019-03-06 15:12:58 UTC
podman-1.1.2-1.git0ad9b6b.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d244a0fe3e

Comment 12 Fedora Update System 2019-03-06 15:57:13 UTC
podman-1.1.2-1.git0ad9b6b.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5730099f0b

Comment 13 Fedora Update System 2019-03-10 18:23:29 UTC
podman-1.1.2-1.git0ad9b6b.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-03-15 03:35:15 UTC
podman-1.1.2-1.git0ad9b6b.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.